Bug 1768593 - GDB needs s390x arch13 binutils patches
Summary: GDB needs s390x arch13 binutils patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gdb
Version: 8.2
Hardware: s390x
OS: Linux
unspecified
high
Target Milestone: rc
: 8.2
Assignee: Keith Seitz
QA Contact: Michal Kolar
Oss Tikhomirova
URL:
Whiteboard:
Depends On:
Blocks: 1659535 1711971 1776957
TreeView+ depends on / blocked
 
Reported: 2019-11-04 18:58 UTC by Keith Seitz
Modified: 2021-09-17 14:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.GDB now supports the ARCH(13) extension on the IBM Z architecture With this enhancement, the GNU Debugger (GDB) now supports the new instructions implemented by the ARCH(13) extension on the IBM Z architecture.
Clone Of:
Environment:
Last Closed: 2020-04-28 15:42:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 182312 0 None None None 2019-11-07 13:03:16 UTC
Red Hat Issue Tracker RHELPLAN-31508 0 None None None 2021-09-17 14:56:30 UTC
Red Hat Product Errata RHSA-2020:1635 0 None None None 2020-04-28 15:42:28 UTC

Internal Links: 1659535

Description Keith Seitz 2019-11-04 18:58:38 UTC
Description of problem:
GDB's internal copy of binutils (bfd, opcodes) needs patches to support arch13 on s390x. As it is today, objdump can disassemble code that gdb cannot.

Version-Release number of selected component (if applicable):
gdb-8.2-6

The needed commits (from bug 1659535):

commit 40f382e88d0391ffaa4098c92cbf339a7924a629
Author: Andreas Krebbel <krebbel.com>
Date:   Tue Mar 12 14:09:55 2019 +0100

S/390: arch13: Adjust to recent changes

This patch is a non-functional change but still desirable for sake of
completeness.

commit ba354106f02e25c9adc3dc1364d6a974216ec94e
Author: Andreas Krebbel <krebbel.com>
Date:   Tue Mar 12 14:09:55 2019 +0100

S/390: arch13: Add instruction descriptions

commit 126b2985ce48d879c9d829b2245e4f00d05a6a74
Author: Andreas Krebbel <krebbel.com>
Date:   Thu Jan 31 17:01:27 2019 +0100

S/390: Implement instruction set extensions

commit 13daa8e4889a971309f7d46a8d49129cb26088a5
Author: Andreas Krebbel <krebbel.com>
Date:   Fri Nov 9 11:00:47 2018 +0100

S/390: Fix optional operand handling after memory addresses

commit f47998d69f8d290564c022b010e63d5886a1fd7d
Author: Andreas Krebbel <krebbel.com>
Date:   Tue Oct 23 18:02:37 2018 +0200

S/390: Support vector alignment hints

These are all contained in the binutils package patch binutils-s390x-arch13.patch.

Comment 1 David Smith 2019-11-05 22:11:52 UTC
IBM, can you verify this fix once it goes in? (This is related to <https://bugzilla.redhat.com/show_bug.cgi?id=1659535>)

Comment 2 Hanns-Joachim Uhl 2019-11-07 13:17:34 UTC
(In reply to David Smith from comment #1)
> IBM, can you verify this fix once it goes in? (This is related to
> <https://bugzilla.redhat.com/show_bug.cgi?id=1659535>)
.
... yes, IBM will do fix verification ... setting OtherQA ...

Comment 8 Michal Kolar 2020-03-18 19:53:19 UTC
Verified SanityOnly against gdb-8.2-11.el8 because of deadline approaching.

Comment 9 Martin Cermak 2020-03-18 20:40:15 UTC
Hello IBM, Hanns,  Red Hat QE is still interested in your OtherQA test results.

Comment 11 Hanns-Joachim Uhl 2020-04-02 08:45:48 UTC
(In reply to Martin Cermak from comment #9)
> Hello IBM, Hanns,  Red Hat QE is still interested in your OtherQA test
> results.
.
fyi ... this bugzilla is verified with RHEL8.2 Snapshot 3 ... thanks ...

Comment 15 errata-xmlrpc 2020-04-28 15:42:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1635


Note You need to log in before you can comment on or make changes to this bug.